| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Static Protected Member Functions | Protected Attributes | Friends | List of all members
CmdDrive::CmdDriver Class Reference
uiCmdDriver

`#include <cmddriver.h>`

Inheritance diagram for CmdDrive::CmdDriver:
[legend]

## Public Types
enum | InterceptMode { Click , ItemInfo , NodeInfo }
enum | LogModeTag { LogBasic , LogNormal , LogAll }
enum | OnErrorTag { Stop , Recover }
enum | RecoveryTag { NoClue , CloseCurWin , NextCmd , NextAssertion }

## Public Member Functions
| CmdDriver (uiMainWin &applwin)
| ~CmdDriver ()
void | abort ()
void | clearLog ()
const char * | curWinTitle (int aliasnr=0) const
const char * | errMsg () const
bool | execute ()
bool | getActionsFromFile (const char *fnm)
bool | getIncludedScripts (const char *fnm, BufferStringSet &) const
bool | greyOutsSkipped () const
bool | insertActionsFromFile (const char *fnm)
bool | isCaseSensitive () const
const char * | logFileName () const
od_ostream & | logStream ()
OnErrorTag | onError () const
const char * | outputDir () const
void | pause (bool yn=true)
bool | scriptAborted () const
bool | scriptFailed () const
void | setCaseSensitive (bool yn)
void | setLogFileName (const char *fnm)
void | setLogMode (LogModeTag tag)
void | setOnError (OnErrorTag tag)
void | setOutputDir (const char *od)
void | setSleep (float time, bool regular=true)
void | setWait (float time, bool regular=true)
void | skipGreyOuts (bool yn=true)
bool | streamBlocked (bool parse, const char *tag)
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static const char * | defaultLogFilename ()
static bool | nowExecuting ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< CmdDriver > | executeFinished
Notifier< CmdDriver > | interactRequest

## Protected Types
enum | InterceptStatus { NoInterception , InterceptError , InterceptReady }

## Protected Member Functions
void | activateDone (CallBacker *activator)
bool | activityStopped (bool checkprocessing=true, bool checktimers=true)
bool | addActions (ObjectSet< Action > &, const char *)
uiMainWin * | applWin ()
const uiMainWin * | applWin () const
int | curActionIdx () const
const uiMainWin * | curWin () const
bool | didInterceptSucceed (const char *objnm)
bool | dispatchDynamicMenu (uiMenu *)
bool | doAction (const char *)
bool | doLocalAction (uiObject *localenv, const char *actstr)
void | dynamicMenuInterceptor (CallBacker *)
void | end ()
void | executeFinishedCB (CallBacker *)
void | exitApplCB (CallBacker *)
ExprInterpreter & | exprInterpreter ()
void | finishActivate ()
void | forceQtToCatchUp ()
void | getModalStatus (ModalStatus &)
bool | goingToChangeUiObj () const
IdentifierManager & | identifierMan ()
const IdentifierManager & | identifierMan () const
bool | insertProcedure (int defidx)
void | interact (const InteractSpec *)
void | interactCB (CallBacker *)
const MenuInfo & | interceptedMenuInfo () const
void | jump (int extralines=0)
void | killTaskRunnerCB (CallBacker *)
int | lastActionIdxMove () const
const uiObject * | localSearchEnv () const
void | logErrMsg ()
void | mkThread (CallBacker *)
void | moveActionIdx (int nrlines)
bool | openQDlg () const
bool | prepareActivate (Activator *)
void | prepareForAbort ()
void | prepareForResume ()
void | prepareIntercept (const FileMultiString &mnupath, int onoff, InterceptMode=Click)
bool | recover ()
void | reInit ()
void | setRecoveryStep (RecoveryTag rt)
void | storeModalStatus ()
bool | switchCurWin (const uiMainWin *)
void | timerShootsCB (CallBacker *timer)
void | timerShotCB (CallBacker *timer)
void | timerStartsCB (CallBacker *timer)
void | timerStoppedCB (CallBacker *timer)
bool | tryAction (const char *identname, const char *actstr)
void | updateLogStrm ()
bool | verifyWinAssert (const char *newwinstr=0)
bool | verifyWinState (const char *newwinstr=0, WinStateType newwinstate=NoState)
void | waitForClearance ()
bool | waitForProcessing ()
bool | waitForTimers ()
WildcardManager & | wildcardMan ()
const WildcardManager & | wildcardMan () const

## Static Protected Member Functions
static const char * | locateCmdMark (const char *actstr)

## Protected Attributes
bool | abort_
int | actionidx_
ObjectSet< Action > | actions_
ObjectSet< const CallBacker > | activatorlist_
uiMainWin * | applwin_
bool | casesensitive_
Threads::Lock | cmddrvlock_
BufferString | cmdfnm_
bool | curactjumped_
ModalStatus | curmodalstat_
CmdDriver & | drv_
ExprInterpreter * | eip_
BufferString | errmsg_
Threads::Thread * | execthr_
bool | failed_
IdentifierManager * | idm_
const InteractSpec * | interactspec_
bool | interceptmenu_
MenuInfo | interceptmenuinfo_
FileMultiString | interceptmenupath_
InterceptMode | interceptmode_
int | interceptonoff_
InterceptStatus | interceptstatus_
int | lastmove_
uiObject * | localsearchenv_
BufferString | logfnm_
LogModeTag | logmode_
od_ostream & | logstream_
OnErrorTag | onerror_
bool | openqdialog_
BufferString | outdir_
FilePath & | outfp_
bool | pause_
float | pendingsleep_
float | pendingwait_
ModalStatus | prevmodalstat_
int | prevnrproc_
RecoveryTag | recoverystep_
float | regularsleep_
float | regularwait_
bool | resume_
bool | skipgreyouts_
ObjectSet< const CallBacker > | timeoutlist_
ObjectSet< const CallBacker > | timerlist_
ObjectSet< const char > | tryoutstack_
int | tryoutval_
bool | uiobjchange_
WildcardManager * | wcm_
od_int64 | wildmodalclosedstamp_
BufferStringSet | wildmodalsignatures_
bool | winassertcs_
BufferString | winassertion_
bool | winassertsafe_
WindowStack | winstack_
WinStateType | winstatetype_
BufferString | winstatewin_

## Friends
class | Command
class | ExprInterpreter
class | Function
class | MenuTracer

## Detailed Description

<>

## Member Enumeration Documentation

## ◆ InterceptMode

enum CmdDrive::CmdDriver::InterceptMode

Enumerator
Click |
ItemInfo |
NodeInfo |

## ◆ InterceptStatus

enum CmdDrive::CmdDriver::InterceptStatus
| protected

Enumerator
NoInterception |
InterceptError |
InterceptReady |

## ◆ LogModeTag

enum CmdDrive::CmdDriver::LogModeTag

Enumerator
LogBasic |
LogNormal |
LogAll |

## ◆ OnErrorTag

enum CmdDrive::CmdDriver::OnErrorTag

Enumerator
Stop |
Recover |

## ◆ RecoveryTag

enum CmdDrive::CmdDriver::RecoveryTag

Enumerator
NoClue |
CloseCurWin |
NextCmd |
NextAssertion |

## Constructor & Destructor Documentation

## ◆ CmdDriver()

CmdDrive::CmdDriver::CmdDriver | ( | uiMainWin & | applwin | ) |

## ◆ ~CmdDriver()

CmdDrive::CmdDriver::~CmdDriver | ( |  | ) |

## Member Function Documentation

## ◆ abort()

void CmdDrive::CmdDriver::abort | ( |  | ) |
| inline

## ◆ activateDone()

void CmdDrive::CmdDriver::activateDone | ( | CallBacker * | activator | ) |
| protected

## ◆ activityStopped()

bool CmdDrive::CmdDriver::activityStopped | ( | bool | checkprocessing = true,
|  | bool | checktimers = true )
| protected

## ◆ addActions()

bool CmdDrive::CmdDriver::addActions | ( | ObjectSet< Action > & | ,
|  | const char * | )
| protected

## ◆ applWin() [1/2]

uiMainWin * CmdDrive::CmdDriver::applWin | ( |  | ) |
| inline protected

## ◆ applWin() [2/2]

const uiMainWin * CmdDrive::CmdDriver::applWin | ( |  | ) | const
| inline protected

## ◆ clearLog()

void CmdDrive::CmdDriver::clearLog | ( |  | ) |

## ◆ curActionIdx()

int CmdDrive::CmdDriver::curActionIdx | ( |  | ) | const
| inline protected

## ◆ curWin()

const uiMainWin * CmdDrive::CmdDriver::curWin | ( |  | ) | const
| inline protected

## ◆ curWinTitle()

const char * CmdDrive::CmdDriver::curWinTitle | ( | int | aliasnr = 0 | ) | const

## ◆ defaultLogFilename()

static const char * CmdDrive::CmdDriver::defaultLogFilename | ( |  | ) |
| static

## ◆ didInterceptSucceed()

bool CmdDrive::CmdDriver::didInterceptSucceed | ( | const char * | objnm | ) |
| protected

## ◆ dispatchDynamicMenu()

bool CmdDrive::CmdDriver::dispatchDynamicMenu | ( | uiMenu * |  | ) |
| protected

## ◆ doAction()

bool CmdDrive::CmdDriver::doAction | ( | const char * |  | ) |
| protected

## ◆ doLocalAction()

bool CmdDrive::CmdDriver::doLocalAction | ( | uiObject * | localenv,
|  | const char * | actstr )
| protected

## ◆ dynamicMenuInterceptor()

void CmdDrive::CmdDriver::dynamicMenuInterceptor | ( | CallBacker * |  | ) |
| protected

## ◆ end()

void CmdDrive::CmdDriver::end | ( |  | ) |
| protected

## ◆ errMsg()

const char * CmdDrive::CmdDriver::errMsg | ( |  | ) | const
| inline

## ◆ execute()

bool CmdDrive::CmdDriver::execute | ( |  | ) |

## ◆ executeFinishedCB()

void CmdDrive::CmdDriver::executeFinishedCB | ( | CallBacker * |  | ) |
| protected

## ◆ exitApplCB()

void CmdDrive::CmdDriver::exitApplCB | ( | CallBacker * |  | ) |
| protected

## ◆ exprInterpreter()

ExprInterpreter & CmdDrive::CmdDriver::exprInterpreter | ( |  | ) |
| inline protected

## ◆ finishActivate()

void CmdDrive::CmdDriver::finishActivate | ( |  | ) |
| protected

## ◆ forceQtToCatchUp()

void CmdDrive::CmdDriver::forceQtToCatchUp | ( |  | ) |
| protected

## ◆ getActionsFromFile()

bool CmdDrive::CmdDriver::getActionsFromFile | ( | const char * | fnm | ) |

## ◆ getIncludedScripts()

bool CmdDrive::CmdDriver::getIncludedScripts | ( | const char * | fnm,
|  | BufferStringSet & | ) const

## ◆ getModalStatus()

void CmdDrive::CmdDriver::getModalStatus | ( | ModalStatus & |  | ) |
| protected

## ◆ goingToChangeUiObj()

bool CmdDrive::CmdDriver::goingToChangeUiObj | ( |  | ) | const
| inline protected

## ◆ greyOutsSkipped()

bool CmdDrive::CmdDriver::greyOutsSkipped | ( |  | ) | const
| inline

## ◆ identifierMan() [1/2]

IdentifierManager & CmdDrive::CmdDriver::identifierMan | ( |  | ) |
| inline protected

## ◆ identifierMan() [2/2]

const IdentifierManager & CmdDrive::CmdDriver::identifierMan | ( |  | ) | const
| protected

## ◆ insertActionsFromFile()

bool CmdDrive::CmdDriver::insertActionsFromFile | ( | const char * | fnm | ) |

## ◆ insertProcedure()

bool CmdDrive::CmdDriver::insertProcedure | ( | int | defidx | ) |
| protected

## ◆ interact()

void CmdDrive::CmdDriver::interact | ( | const InteractSpec * |  | ) |
| protected

## ◆ interactCB()

void CmdDrive::CmdDriver::interactCB | ( | CallBacker * |  | ) |
| protected

## ◆ interceptedMenuInfo()

const MenuInfo & CmdDrive::CmdDriver::interceptedMenuInfo | ( |  | ) | const
| protected

## ◆ isCaseSensitive()

bool CmdDrive::CmdDriver::isCaseSensitive | ( |  | ) | const
| inline

## ◆ jump()

void CmdDrive::CmdDriver::jump | ( | int | extralines = 0 | ) |
| protected

## ◆ killTaskRunnerCB()

void CmdDrive::CmdDriver::killTaskRunnerCB | ( | CallBacker * |  | ) |
| protected

## ◆ lastActionIdxMove()

int CmdDrive::CmdDriver::lastActionIdxMove | ( |  | ) | const
| inline protected

## ◆ localSearchEnv()

const uiObject * CmdDrive::CmdDriver::localSearchEnv | ( |  | ) | const
| inline protected

## ◆ locateCmdMark()

static const char * CmdDrive::CmdDriver::locateCmdMark | ( | const char * | actstr | ) |
| static protected

## ◆ logErrMsg()

void CmdDrive::CmdDriver::logErrMsg | ( |  | ) |
| protected

## ◆ logFileName()

const char * CmdDrive::CmdDriver::logFileName | ( |  | ) | const
| inline

## ◆ logStream()

od_ostream & CmdDrive::CmdDriver::logStream | ( |  | ) |
| inline

## ◆ mkThread()

void CmdDrive::CmdDriver::mkThread | ( | CallBacker * |  | ) |
| protected

## ◆ moveActionIdx()

void CmdDrive::CmdDriver::moveActionIdx | ( | int | nrlines | ) |
| protected

## ◆ nowExecuting()

static bool CmdDrive::CmdDriver::nowExecuting | ( |  | ) |
| static

## ◆ onError()

OnErrorTag CmdDrive::CmdDriver::onError | ( |  | ) | const
| inline

## ◆ openQDlg()

bool CmdDrive::CmdDriver::openQDlg | ( |  | ) | const
| inline protected

## ◆ outputDir()

const char * CmdDrive::CmdDriver::outputDir | ( |  | ) | const
| inline

## ◆ pause()

void CmdDrive::CmdDriver::pause | ( | bool | yn = true | ) |

## ◆ prepareActivate()

bool CmdDrive::CmdDriver::prepareActivate | ( | Activator * |  | ) |
| protected

## ◆ prepareForAbort()

void CmdDrive::CmdDriver::prepareForAbort | ( |  | ) |
| protected

## ◆ prepareForResume()

void CmdDrive::CmdDriver::prepareForResume | ( |  | ) |
| protected

## ◆ prepareIntercept()

void CmdDrive::CmdDriver::prepareIntercept | ( | const FileMultiString & | mnupath,
|  | int | onoff,
|  | InterceptMode | = Click )
| protected

## ◆ recover()

bool CmdDrive::CmdDriver::recover | ( |  | ) |
| protected

## ◆ reInit()

void CmdDrive::CmdDriver::reInit | ( |  | ) |
| protected

## ◆ scriptAborted()

bool CmdDrive::CmdDriver::scriptAborted | ( |  | ) | const
| inline

## ◆ scriptFailed()

bool CmdDrive::CmdDriver::scriptFailed | ( |  | ) | const
| inline

## ◆ setCaseSensitive()

void CmdDrive::CmdDriver::setCaseSensitive | ( | bool | yn | ) |
| inline

## ◆ setLogFileName()

void CmdDrive::CmdDriver::setLogFileName | ( | const char * | fnm | ) |
| inline

## ◆ setLogMode()

void CmdDrive::CmdDriver::setLogMode | ( | LogModeTag | tag | ) |
| inline

## ◆ setOnError()

void CmdDrive::CmdDriver::setOnError | ( | OnErrorTag | tag | ) |
| inline

## ◆ setOutputDir()

void CmdDrive::CmdDriver::setOutputDir | ( | const char * | od | ) |
| inline

## ◆ setRecoveryStep()

void CmdDrive::CmdDriver::setRecoveryStep | ( | RecoveryTag | rt | ) |
| inline protected

## ◆ setSleep()

void CmdDrive::CmdDriver::setSleep | ( | float | time,
|  | bool | regular = true )

## ◆ setWait()

void CmdDrive::CmdDriver::setWait | ( | float | time,
|  | bool | regular = true )

## ◆ skipGreyOuts()

void CmdDrive::CmdDriver::skipGreyOuts | ( | bool | yn = true | ) |
| inline

## ◆ storeModalStatus()

void CmdDrive::CmdDriver::storeModalStatus | ( |  | ) |
| protected

## ◆ streamBlocked()

bool CmdDrive::CmdDriver::streamBlocked | ( | bool | parse,
|  | const char * | tag )

## ◆ switchCurWin()

bool CmdDrive::CmdDriver::switchCurWin | ( | const uiMainWin * |  | ) |
| protected

## ◆ timerShootsCB()

void CmdDrive::CmdDriver::timerShootsCB | ( | CallBacker * | timer | ) |
| protected

## ◆ timerShotCB()

void CmdDrive::CmdDriver::timerShotCB | ( | CallBacker * | timer | ) |
| protected

## ◆ timerStartsCB()

void CmdDrive::CmdDriver::timerStartsCB | ( | CallBacker * | timer | ) |
| protected

## ◆ timerStoppedCB()

void CmdDrive::CmdDriver::timerStoppedCB | ( | CallBacker * | timer | ) |
| protected

## ◆ tryAction()

bool CmdDrive::CmdDriver::tryAction | ( | const char * | identname,
|  | const char * | actstr )
| protected

## ◆ updateLogStrm()

void CmdDrive::CmdDriver::updateLogStrm | ( |  | ) |
| protected

## ◆ verifyWinAssert()

bool CmdDrive::CmdDriver::verifyWinAssert | ( | const char * | newwinstr = 0 | ) |
| protected

## ◆ verifyWinState()

bool CmdDrive::CmdDriver::verifyWinState | ( | const char * | newwinstr = 0,
|  | WinStateType | newwinstate = NoState )
| protected

## ◆ waitForClearance()

void CmdDrive::CmdDriver::waitForClearance | ( |  | ) |
| protected

## ◆ waitForProcessing()

bool CmdDrive::CmdDriver::waitForProcessing | ( |  | ) |
| protected

## ◆ waitForTimers()

bool CmdDrive::CmdDriver::waitForTimers | ( |  | ) |
| protected

## ◆ wildcardMan() [1/2]

WildcardManager & CmdDrive::CmdDriver::wildcardMan | ( |  | ) |
| inline protected

## ◆ wildcardMan() [2/2]

const WildcardManager & CmdDrive::CmdDriver::wildcardMan | ( |  | ) | const
| protected

## Friends And Related Symbol Documentation

## ◆ Command

friend class Command
| friend

## ◆ ExprInterpreter

friend class ExprInterpreter
| friend

## ◆ Function

friend class Function
| friend

## ◆ MenuTracer

friend class MenuTracer
| friend

## Member Data Documentation

## ◆ abort_

bool CmdDrive::CmdDriver::abort_
| protected

## ◆ actionidx_

int CmdDrive::CmdDriver::actionidx_
| protected

## ◆ actions_

ObjectSet<Action> CmdDrive::CmdDriver::actions_
| protected

## ◆ activatorlist_

ObjectSet<const CallBacker> CmdDrive::CmdDriver::activatorlist_
| protected

## ◆ applwin_

uiMainWin* CmdDrive::CmdDriver::applwin_
| protected

## ◆ casesensitive_

bool CmdDrive::CmdDriver::casesensitive_
| protected

## ◆ cmddrvlock_

Threads::Lock CmdDrive::CmdDriver::cmddrvlock_
| protected

## ◆ cmdfnm_

BufferString CmdDrive::CmdDriver::cmdfnm_
| protected

## ◆ curactjumped_

bool CmdDrive::CmdDriver::curactjumped_
| protected

## ◆ curmodalstat_

ModalStatus CmdDrive::CmdDriver::curmodalstat_
| protected

## ◆ drv_

CmdDriver& CmdDrive::CmdDriver::drv_
| protected

## ◆ eip_

ExprInterpreter* CmdDrive::CmdDriver::eip_
| protected

## ◆ errmsg_

BufferString CmdDrive::CmdDriver::errmsg_
| mutable protected

## ◆ execthr_

Threads::Thread* CmdDrive::CmdDriver::execthr_
| protected

## ◆ executeFinished

Notifier<CmdDriver> CmdDrive::CmdDriver::executeFinished

## ◆ failed_

bool CmdDrive::CmdDriver::failed_
| protected

## ◆ idm_

IdentifierManager* CmdDrive::CmdDriver::idm_
| protected

## ◆ interactRequest

Notifier<CmdDriver> CmdDrive::CmdDriver::interactRequest

## ◆ interactspec_

const InteractSpec* CmdDrive::CmdDriver::interactspec_
| protected

## ◆ interceptmenu_

bool CmdDrive::CmdDriver::interceptmenu_
| protected

## ◆ interceptmenuinfo_

MenuInfo CmdDrive::CmdDriver::interceptmenuinfo_
| protected

## ◆ interceptmenupath_

FileMultiString CmdDrive::CmdDriver::interceptmenupath_
| protected

## ◆ interceptmode_

InterceptMode CmdDrive::CmdDriver::interceptmode_
| protected

## ◆ interceptonoff_

int CmdDrive::CmdDriver::interceptonoff_
| protected

## ◆ interceptstatus_

InterceptStatus CmdDrive::CmdDriver::interceptstatus_
| protected

## ◆ lastmove_

int CmdDrive::CmdDriver::lastmove_
| protected

## ◆ localsearchenv_

uiObject* CmdDrive::CmdDriver::localsearchenv_
| protected

## ◆ logfnm_

BufferString CmdDrive::CmdDriver::logfnm_
| protected

## ◆ logmode_

LogModeTag CmdDrive::CmdDriver::logmode_
| protected

## ◆ logstream_

od_ostream& CmdDrive::CmdDriver::logstream_
| protected

## ◆ onerror_

OnErrorTag CmdDrive::CmdDriver::onerror_
| protected

## ◆ openqdialog_

bool CmdDrive::CmdDriver::openqdialog_
| protected

## ◆ outdir_

BufferString CmdDrive::CmdDriver::outdir_
| protected

## ◆ outfp_

FilePath& CmdDrive::CmdDriver::outfp_
| protected

## ◆ pause_

bool CmdDrive::CmdDriver::pause_
| protected

## ◆ pendingsleep_

float CmdDrive::CmdDriver::pendingsleep_
| protected

## ◆ pendingwait_

float CmdDrive::CmdDriver::pendingwait_
| protected

## ◆ prevmodalstat_

ModalStatus CmdDrive::CmdDriver::prevmodalstat_
| protected

## ◆ prevnrproc_

int CmdDrive::CmdDriver::prevnrproc_
| protected

## ◆ recoverystep_

RecoveryTag CmdDrive::CmdDriver::recoverystep_
| protected

## ◆ regularsleep_

float CmdDrive::CmdDriver::regularsleep_
| protected

## ◆ regularwait_

float CmdDrive::CmdDriver::regularwait_
| protected

## ◆ resume_

bool CmdDrive::CmdDriver::resume_
| protected

## ◆ skipgreyouts_

bool CmdDrive::CmdDriver::skipgreyouts_
| protected

## ◆ timeoutlist_

ObjectSet<const CallBacker> CmdDrive::CmdDriver::timeoutlist_
| protected

## ◆ timerlist_

ObjectSet<const CallBacker> CmdDrive::CmdDriver::timerlist_
| protected

## ◆ tryoutstack_

ObjectSet<const char> CmdDrive::CmdDriver::tryoutstack_
| protected

## ◆ tryoutval_

int CmdDrive::CmdDriver::tryoutval_
| protected

## ◆ uiobjchange_

bool CmdDrive::CmdDriver::uiobjchange_
| protected

## ◆ wcm_

WildcardManager* CmdDrive::CmdDriver::wcm_
| protected

## ◆ wildmodalclosedstamp_

od_int64 CmdDrive::CmdDriver::wildmodalclosedstamp_
| protected

## ◆ wildmodalsignatures_

BufferStringSet CmdDrive::CmdDriver::wildmodalsignatures_
| protected

## ◆ winassertcs_

bool CmdDrive::CmdDriver::winassertcs_
| protected

## ◆ winassertion_

BufferString CmdDrive::CmdDriver::winassertion_
| protected

## ◆ winassertsafe_

bool CmdDrive::CmdDriver::winassertsafe_
| protected

## ◆ winstack_

WindowStack CmdDrive::CmdDriver::winstack_
| protected

## ◆ winstatetype_

WinStateType CmdDrive::CmdDriver::winstatetype_
| protected

## ◆ winstatewin_

BufferString CmdDrive::CmdDriver::winstatewin_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025